@echo off

REM ##### 初期設定 #####
set BIN_DIR=bin

REM ##### 引数取得 #####
set PRODUCT_NAME=%1
set PRODUCT_VER=%2
set JBOSS_HOME=%~3

REM ##### 初期処理 #####
if NOT "%JBOSS_HOME:~-1%" == "\" (
	set JBOSS_HOME=%JBOSS_HOME%\
)

REM ##### インストールチェック #####
if not exist "%JBOSS_HOME%" (
	echo %PRODUCT_NAME%は、インストールされていません。
	goto end
)
if not exist "%JBOSS_HOME%%BIN_DIR%" (
	echo %PRODUCT_NAME%は、インストールされていません。
	goto end
)
goto update

REM ##### アップデート #####
:update
echo %PRODUCT_NAME%のアップデート処理をします。^(Ver.%PRODUCT_VER%^)
exit 0

:end
exit 1
